netatalk: FPGetFileDirParms.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
FPGetFileDirParms.c File Reference
`#include "afpcmd.h"`
`#include "afphelper.h"`
`#include "testhelper.h"`

## Functions
STATIC void | test44 ()
STATIC void | test58 ()
STATIC void | test70 ()
STATIC void | test94 ()
STATIC void | test104 ()
STATIC void | test132 ()
STATIC void | test194 ()
STATIC void | test229 ()
STATIC void | test307 ()
STATIC void | test308 ()
STATIC void | test319 ()
STATIC void | test324 ()
STATIC void | test326 ()
STATIC void | test333 ()
STATIC void | test334 ()
STATIC void | test335 ()
static int | probe_extmap (char *probe_name, const char *expected_finfo8)
STATIC void | test371 ()
STATIC void | test380 ()
STATIC void | test396 ()
STATIC void | test423 ()
static void | do_pdinfo_test (char *fname, const char *fourcc, uint8_t expect_type, uint16_t expect_aux)
STATIC void | test440 ()
STATIC void | test441 ()
STATIC void | test442 ()
void | FPGetFileDirParms_test ()

## Variables
static char | temp [MAXPATHLEN+1]
static char | temp1 [MAXPATHLEN+1]

## Function Documentation

## ◆ do_pdinfo_test()

void do_pdinfo_test | ( | char * | fname,
|  | const char * | fourcc,
|  | uint8_t | expect_type,
|  | uint16_t | expect_aux )
| static

## ◆ FPGetFileDirParms_test()

void FPGetFileDirParms_test | ( |  | ) |

## ◆ probe_extmap()

int probe_extmap | ( | char * | probe_name,
|  | const char * | expected_finfo8 )
| static

## ◆ test104()

STATIC void test104 | ( |  | ) |

## ◆ test132()

STATIC void test132 | ( |  | ) |

## ◆ test194()

STATIC void test194 | ( |  | ) |

## ◆ test229()

STATIC void test229 | ( |  | ) |

## ◆ test307()

STATIC void test307 | ( |  | ) |

## ◆ test308()

STATIC void test308 | ( |  | ) |

## ◆ test319()

STATIC void test319 | ( |  | ) |

## ◆ test324()

STATIC void test324 | ( |  | ) |

## ◆ test326()

STATIC void test326 | ( |  | ) |

## ◆ test333()

STATIC void test333 | ( |  | ) |

## ◆ test334()

STATIC void test334 | ( |  | ) |

## ◆ test335()

STATIC void test335 | ( |  | ) |

## ◆ test371()

STATIC void test371 | ( |  | ) |

## ◆ test380()

STATIC void test380 | ( |  | ) |

## ◆ test396()

STATIC void test396 | ( |  | ) |

## ◆ test423()

STATIC void test423 | ( |  | ) |

## ◆ test44()

STATIC void test44 | ( |  | ) |

## ◆ test440()

STATIC void test440 | ( |  | ) |

## ◆ test441()

STATIC void test441 | ( |  | ) |

## ◆ test442()

STATIC void test442 | ( |  | ) |

## ◆ test58()

STATIC void test58 | ( |  | ) |

## ◆ test70()

STATIC void test70 | ( |  | ) |

## ◆ test94()

STATIC void test94 | ( |  | ) |

## Variable Documentation

## ◆ temp

char temp[MAXPATHLEN+1]
| static

## ◆ temp1

char temp1[MAXPATHLEN+1]
| static